Page MenuHomePhabricator

[Task] Do not use full deserialized entity for each PHP entity page view
Closed, ResolvedPublic

Description

Currently, OutputPageBeforeHTMLHookHandler always fetches an EntityRevision for displaying the termbox. Entity revisions are cached by CachingEntityRevisionLookup, so this does not hit us as hard as it could in terms of wgBackendResponseTime. The memory footprint due to that caching is probably quite high, though.

For entity page views on uncached entity revisions, getting rid of this should half wgBackendResponseTime.

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterPut termbox rows into parser output
mediawiki/extensions/Wikibase : masterClean-up mistakes from "put termbox rows into parser output"
mediawiki/extensions/Wikibase : masterDon't load full entity on current revision view

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 14 2016, 7:52 AM

Change 277777 had a related patch set uploaded (by Adrian Heine):
[WIP] Don't load full entity on current revision view

https://gerrit.wikimedia.org/r/277777

adrianheine triaged this task as Medium priority.Apr 14 2016, 8:07 AM
adrianheine moved this task from Proposed to Doing on the Wikidata-Sprint-2016-04-12 board.

Change 284358 had a related patch set uploaded (by Adrian Heine):
[WIP] Put termbox rows into parser output

https://gerrit.wikimedia.org/r/284358

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 9:27 PM

Change 284358 merged by jenkins-bot:
Put termbox rows into parser output

https://gerrit.wikimedia.org/r/284358

adrianheine closed this task as Resolved.Apr 27 2016, 11:28 AM
adrianheine moved this task from Review to Done on the Wikidata-Sprint-2016-04-26 board.

Change 277777 abandoned by Adrian Heine:
Don't load full entity on current revision view

https://gerrit.wikimedia.org/r/277777

Change 285670 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Clean-up mistakes from "put termbox rows into parser output"

https://gerrit.wikimedia.org/r/285670

Change 285670 merged by jenkins-bot:
Clean-up mistakes from "put termbox rows into parser output"

https://gerrit.wikimedia.org/r/285670